com.independentsoft.exchange

## Enum MeetingStatus

- java.lang.Object
- - java.lang.Enum<MeetingStatus>
  - - com.independentsoft.exchange.MeetingStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MeetingStatus>

      public enum MeetingStatus
      extends java.lang.Enum<MeetingStatus>

  The MeetingStatus enum specifies the status of an appointment or meeting.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELED` The meeting has canceled.
    `CANCELED_ORGANIZER` The meeting organizer has canceled the meeting.
    `MEETING` The appointment has been or is to be made into a meeting.
    `NON_MEETING` This appointment has been scheduled by this messaging user alone and does not represent a meeting (default value).
    `NONE` None.
    `RECEIVED` The requests for the meeting have been received by the intended attendees.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MeetingStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MeetingStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NON_MEETING

          public static final MeetingStatus NON_MEETING

      This appointment has been scheduled by this messaging user alone and does not represent a meeting (default value).

    - #### MEETING

          public static final MeetingStatus MEETING

      The appointment has been or is to be made into a meeting.

    - #### RECEIVED

          public static final MeetingStatus RECEIVED

      The requests for the meeting have been received by the intended attendees.

    - #### CANCELED_ORGANIZER

          public static final MeetingStatus CANCELED_ORGANIZER

      The meeting organizer has canceled the meeting.

    - #### CANCELED

          public static final MeetingStatus CANCELED

      The meeting has canceled.

    - #### NONE

          public static final MeetingStatus NONE

      None.

  - ### Method Detail

    - #### values

          public static MeetingStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MeetingStatus c : MeetingStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MeetingStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null